holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_South_Africa
  # @source http://www.gov.za/about-sa/public-holidays
  # @source http://www.info.gov.za/acts/1994/a36-94.pdf
  ZA:
    names:
      en: South Africa
    dayoff: sunday
    langs:
      - en
    zones:
      - Africa/Johannesburg
    days:
      01-01:
        _name: 01-01
      substitutes 01-01 if sunday then next monday:
        name:
          en: Public Holiday
      03-21:
        name:
          en: Human Rights Day
      substitutes 03-21 if sunday then next monday:
        name:
          en: Public Holiday
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      easter 1:
        _name: easter 1
        name:
          en: Family Day
      04-27:
        name:
          en: Freedom Day
      substitutes 04-27 if sunday then next monday:
        name:
          en: Public Holiday
      05-01:
        _name: 05-01
        name:
          en: Workers' Day
      substitutes 05-01 if sunday then next monday:
        name:
          en: Public Holiday
      2nd sunday in May:
        _name: Mothers Day
        type: observance
      06-16:
        name:
          en: Youth Day
      substitutes 06-16 if sunday then next monday:
        name:
          en: Public Holiday
      3rd sunday in June:
        _name: Fathers Day
        type: observance
      08-09:
        name:
          en: National Women's Day
      substitutes 08-09 if sunday then next monday:
        name:
          en: Public Holiday
      07-18:
        name:
          en: Nelson Mandela Day
        type: observance
      09-24:
        name:
          en: Heritage Day
      substitutes 09-24 if sunday then next monday:
        name:
          en: Public Holiday
      12-16:
        name:
          en: Day of Reconciliation
      substitutes 12-16 if sunday then next monday:
        name:
          en: Public Holiday
      12-25:
        _name: 12-25
      #substitutes 12-25 if sunday then next monday:
      #  substitute: true
      #  _name: 12-25
      12-26:
        _name: 12-26
        name:
          en: Day of Goodwill
      substitutes 12-26 if sunday then next monday:
        name:
          en: Public Holiday
